/*!
 * @file peer_info.h
 *  implementation a peer info
 */

#ifndef _PEER_INFO_H
#define _PEER_INFO_H

#include "server_socket.h"
#include "handshake.h"
#include "connection_monitor.h"


//!< this structure contains informations about the network node
class PeerInfo
{
  public:
    PeerInfo();

    void clear();


  public:
    int                 userId;
    int                 nodeType;
    bool                isMasterServer;
    bool                isProxyServer;
    bool                isClient;
    NetworkSocket *     socket;
    Handshake *         handshake;
    ConnectionMonitor * connectionMonitor;
    int                 lastAckedState;
    int                 lastRecvedState;
};



#endif /* _PEER_INFO_H */
